<?php
/**
 * Theme functions and definitions
 *
 * @package Bosa Blog
 */

require get_stylesheet_directory() . '/inc/customizer/customizer.php';
require get_stylesheet_directory() . '/inc/customizer/loader.php';

if ( ! function_exists( 'bosa_blog_enqueue_styles' ) ) :
	/**
	 * @since Bosa Blog 1.0.0
	 */
	function bosa_blog_enqueue_styles() {
		wp_enqueue_style( 'bosa-blog-style-parent', get_template_directory_uri() . '/style.css',
			array(
				'bootstrap',
				'slick',
				'slicknav',
				'slick-theme',
				'fontawesome',
				'bosa-blocks',
				'bosa-google-font'
				)
		);

		wp_enqueue_script(
		    'bosa-blog-custom-script', get_stylesheet_directory_uri() . '/assets/js/custom.js',
		    array(
		    	'jquery',
		    	'jquery-masonry'
		    )
		);

		wp_enqueue_style( 'bosa-blog-google-fonts', "https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,600;0,700;0,800;1,300;1,400;1,600;1,700;1,800&display=swap", false );
		wp_enqueue_style( 'bosa-blog-google-fonts-two', "https://fonts.googleapis.com/css2?family=Merriweather:ital,wght@0,300;0,400;0,700;0,900;1,300;1,400;1,700;1,900&display=swap", false );
	}

endif;
add_action( 'wp_enqueue_scripts', 'bosa_blog_enqueue_styles', 1 );

add_theme_support( "title-tag" );
add_theme_support( 'automatic-feed-links' );